#pragma once

#include <library/cpp/watchdog/lib/handle.h>

class TDeadDocsCleanerWatchDogHandle: public IWatchDogHandleFreq {
public:
    TDeadDocsCleanerWatchDogHandle(ui32 CheckIntervalSeconds)
        : IWatchDogHandleFreq(CheckIntervalSeconds)
    {
    }

    virtual void DoCheck(TInstant timeNow) override;
};

